/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2009 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                                                          *
*********************************************************************************
* Id: main.cpp,   v 1.0                         2008/01/01                      *
*********************************************************************************
* This program is free software; you can redistribute it and/or modify          *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* This program is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#include <fx.h>
#include "fxmoviemanager.h"

int main(int argc, char **argv) {

  // Make application
  FXApp application("Configuration","FXMM");

  // Open display
  application.init(argc,argv);

  // Make window: the new FXPanel(&application);
  FXMovieManager* window = new FXMovieManager(&application);

  // Handle interrupt to save stuff nicely
  application.addSignal(SIGINT,window,FXMovieManager::ID_QUIT);

  // Create it
  application.create();

  // Run
  return application.run();
}
